<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%--

Optional Parameters:
    * cssClass                  - appended to the class attribute of the div
    * id                        - the ID attribute of the aui-error div

Notes: See http://confluence.atlassian.com/display/AUI/Forms#Forms-fieldset for the explanations of fieldset types

--%>
<decorator:usePage id="p" />
<div class="content-body jira-error<% if (p.isPropertySet("cssClass")) { %> <decorator:getProperty property="cssClass" /><% } %>"<% if (p.isPropertySet("id")) { %> id="<decorator:getProperty property="id" />"<% } %>>
    <h2 class="error-title"><% if (p.isPropertySet("title")) { %><decorator:getProperty property="title" /><% } else { %><ww:text name="'common.words.error'" /><% } %></h2>
    <ww:if test="hasErrorMessages == 'true'">
        <div class="aui-message warning">
            <p>
                <span class="svg-icon warning size-18"></span>
                <ww:iterator value="flushedErrorMessages" status="'status'"><ww:property /><ww:if test="@status/last == false"><br /></ww:if></ww:iterator>
            </p>
        </div>
    </ww:if>
    <div class="error-description">
        <decorator:body />
    </div>
</div>
