<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'common.words.project'"/>: <ww:property value="project/string('name')" escape="true" /></page:param>
    <page:param name="width">100%</page:param>

	<ww:property value="project">

		<%-- Project Summary --%>
        <jsp:include page="/includes/panels/project/summary.jsp" />

        <%-- Schemes (Notification, Permission and Issue Security --%>
        <jsp:include page="/includes/panels/project/schemes.jsp" />

        <ww:if test="/enterprise == true">
            <br/><b><ww:text name="'admin.projects.project.category'"/>:</b>
            <ww:if test="projectCategory != null">
                <ww:property value="projectCategory/string('name')" />
            </ww:if>
            <ww:else>
                <ww:text name="'common.words.none'"/>
            </ww:else>
            <ww:if test="/hasAdminPermission == true">
                (
                <a id="select_category" href="<ww:url page="SelectProjectCategory!default.jspa"><ww:param name="'pid'" value="long('id')" /></ww:url>"><ww:text name="'admin.projects.select.category'"/></a>
                )
            </ww:if>
        </ww:if>

        <%-- JRA-13283: Print all the pluggable project operations --%>
        <ww:iterator value="/viewableProjectOperations">
            <br/><ww:property value="./html(projectObject, remoteUser)" escape="false"/>
        </ww:iterator>
    </ww:property>
</page:applyDecorator>
