/**
 * Determines if an object implements a given interface
 *
 * @method implementsInterface
 * @namespace AJS
 * @module Util
 * @param {Object} object
 * @param {Array} implementation
 */
AJS.implementsInterface = function (object, implementation) {

    var valid = true;

    AJS.$.each(implementation, function (i, method) {
        if (!AJS.$.isFunction(object[method])) {
            valid = false;
            throw new Error("AJS.implementsInteface: Expected method [" + method + "] on object");
        }
    });

    return valid;
};