/**
 * Handles positiong of dropdown in DOM for IE7 and below iframes.
 *
 * IE7 & Webkit does not allow a parent document to adopt nodes so we need to rebuild
 *
 * @class IframePositioningWithoutAdoptNode
 * @extend AJS.InlineLayer.IframePositioning
 * @namespace AJS.InlineLayer
 */

AJS.InlineLayer.IframePositioningWithoutAdoptNode = AJS.InlineLayer.IframePositioning.extend({

    /**
     * Appends to body, rebuilding element in context of parent document
     *
     * @method appendToBody
     */
    appendToBody: function () {
        this.$layer = this._rebuildLayerInParent();
        window.top.jQuery("body").append(this.$layer);
        this.rebuilt();
    },

    /**
     * Appends to placeholder, rebuilding element in context of iframe document
     *
     * @method appendToPlaceholder
     */
    appendToPlaceholder: function () {
        this.$layer = this._rebuildLayerInIframe();
        this.$layer.appendTo(this.$placeholder);
        this.rebuilt();
    },

    /**
     * Rebuilds layer in context of parent DOM
     *
     * @method _rebuildLayerInParent
     * @protected
     * @return {jQuery}
     */
    _rebuildLayerInParent: function () {
        return window.top.jQuery("<div class='ajs-layer'>" + this.$layer.html() + "</div>");
    },

    /**
     * Rebuilds layer in context of iframe DOM
     *
     * @method _rebuildLayerInIframe
     * @protected
     * @return {jQuery}
     */
    _rebuildLayerInIframe: function () {
        return AJS.$("<div class='ajs-layer'>" + this.$layer.html() + "</div>");
    }

});