(function($) {

    /**
     * Represents the View Issue page.  This class should be used to get the current issue key
     * and any other issue centric information!
     *
     * @class jira.app.issue
     * @module Domain
     * @requires AJS
     */
    $.namespace("jira.app.issue");
    var jiraAppIssue = jira.app.issue, $keyVal;

    //private function to cache the key value.
    function getKeyVal() {
        if(!$keyVal) {
            $keyVal = $("#key-val");
        }
        return $keyVal;
    }


    /**
     * Returns the issue id of the current issue being viewed.
     *
     * @method getIssueId
     * @return {String} the issue id or undefined if none can be found.
     */
    jiraAppIssue.getIssueId = function() {
        var $keyVal = getKeyVal();
        if($keyVal.length !== 0) {
            return $keyVal.attr("rel");
        }
        return undefined;
    };

    /**
     * Returns the issue key of the current issue being viewed.
     *
     * @method getIssueKey
     * @return {String} the issue key or undefined if none can be found.
     */
    jiraAppIssue.getIssueKey = function() {
        var $keyVal = getKeyVal();
        if($keyVal.length !== 0) {
            return $keyVal.text();
        }
        return undefined;
    };
})(AJS.$);