/**
 * This JS resource is intended to contain 'global' on DOM ready init functions.
 *
 * This is tied in lifecycle to jira-global.js and in fact is a way to reduce the file size of that file.
 *
 * 1500 lines in a single file is quite enough thank you.  Lets migrate to here slowly over time
 *
 */




// Creating all dropdowns
AJS.$(function () {

    // New Style dropdowns (Use this type from now on)
    AJS.DropDown.create({
        trigger: ".issue-actions-trigger",
        ajaxOptions: {
            dataType: "json",
            cache: false,
            formatSuccess: jira.app.fragments.issueActionsFragment
        }
    });

    // OLD AJS Style dropdowns
    AJS.$("#navigator-options").find(".aui-dd-parent").dropDown("Standard", {
        trigger: "a.aui-dd-link"
    });

    AJS.$("div.command-bar").find(".aui-dd-parent").dropDown("Standard", {
        trigger: "a.drop"
    });

    AJS.$("#dashboard").find(".aui-dd-parent").dropDown("Standard", {
        trigger: "a.aui-dd-link"
    });

    AJS.$("#main-nav").find("a.aui-dd-link").linkedMenu({
        reflectFocus: "#main-nav .lnk",
        onFocusRemoveClass: "#main-nav .selected"
    });

    AJS.$("#navigator-options").find("a.aui-dd-link").linkedMenu();

});

/**
 * Ctrl-Enter should work for text areas
 */
jQuery(function()
{
    jQuery("textarea").keypress(submitOnCtrlEnter);
});

/**
 * For the JQL text box - we want to submit on Enter instead of Ctrl+Enter.
 */
jQuery(function() {
    var $jql = jQuery("#jqltext");
    if ($jql.length === 1) {
        $jql.unbind("keypress", submitOnCtrlEnter).keypress(submitOnEnter);
    }
});

/**
 * Warn if using an unsupported browser - for now that means IE6
 */
jQuery(function()
{
    var $warning = AJS.$("#browser-warning");
    AJS.$(".icon-close",$warning).click(function () {
        $warning.slideUp("fast");
        saveCookie("UNSUPPORTED_BROWSER_WARNING", "handled");
    });
});

jQuery(function() {
    AJS.$("form").submit(function(event) {
        AJS.$(this).trigger("before-submit", event);
    });
});

/**
 * Textareas that expand on input.
 */
AJS.$(function ($) {
    var $document = $(document),
        selector = '#comment, #environment, #description',
        maxTextareaHeight = 200;

    $document.bind('tabSelect', function (e, data) {
        data.pane.find(selector).expandOnInput();
    });
    $(selector).expandOnInput(maxTextareaHeight);

    $document.bind('dialogContentReady', function (e, dialog) {
        dialog.get$popupContent()
            .bind('tabSelect', function (e, data) {
                data.pane.find(selector).expandOnInput(maxTextareaHeight);
            })
            .find(selector)
                .expandOnInput(maxTextareaHeight);
    });

    // Bind to the event triggered by toggling the wiki markup preview.
    $document.bind('showWikiInput', function (e, $container) {
        $container.find(selector).expandOnInput();
    });
});

// intialise aui forms
AJS.$(function() {

    var $auiForm = AJS.$("form.aui");

    AJS.$("#stqcform input:file").inlineAttach();
    AJS.$(".file-input-list input:file", $auiForm).inlineAttach();

    // We want people to cancel forms like they used to when cancel was a button.
    // JRADEV-1823 - Alt-` does not work in IE
    var $cancel = AJS.$("a.cancel", $auiForm);
    if (AJS.$.browser.msie && $cancel.attr("accessKey")) {
        $cancel.focus(function(e){
            if (e.altKey) {
                //simulate a click (for the dirty form filter) then follow the link!
                AJS.$(this).mousedown();
                window.location.href = $cancel.attr("href");
            }
        });
    }
});

// Initialise the bluk edit screen to make checkboxes autoselect on :input change events.
AJS.$(function(){
    var checkRow = function(input){
        AJS.$(input).closest(".availableActionRow").find("td:first :checkbox").attr('checked', true);
    };

    var $rows = AJS.$("#availableActionsTable tr.availableActionRow");
    $rows.children("td:last-child").find(":input").change(function(e){
        checkRow(this);
    });
});