<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.mailqueue.mail.queue.admin'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.mailqueue.mail.queue'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
		<ww:if test="/page == 'errorqueue'">
			<ww:text name="'admin.mailqueue.description'"/>
		</ww:if>
		<ww:else>
            <ww:text name="'admin.mailqueue.this.page.shows'"/>
		</ww:else>
        <ww:if test="/mailSendingDisabled == true">
            <p><ww:text name="'admin.mailqueue.sending.mail.is.disabled'">
                    <ww:param name="'value0'"><span class="warning"></ww:param>
                    <ww:param name="'value1'"></span></ww:param>
                </ww:text></p>
        </ww:if>
        <ww:if test="/hasMailServer == false">
            <p><span class="warning"><ww:text name="'admin.common.words.warning'"/></span>:
                <ww:if test="/systemAdministrator == true" >
                    <ww:text name="'admin.mailqueue.no.default.mail.server'">
                        <ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/admin/ViewMailServers.jspa"></ww:param>
                        <ww:param name="'value1'"></a></ww:param>
                    </ww:text>
                </ww:if>
                <ww:else>
                    <ww:text name="'admin.mailqueue.no.default.mail.server.admin'">
                        <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                        <%--<ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                        <%--<ww:param name="'value1'"></a></ww:param>--%>
                        <ww:param name="'value0'"> </ww:param>
                        <ww:param name="'value1'"> </ww:param>
                    </ww:text>
                </ww:else>
            </p>
        </ww:if>
        <ww:if test="/enabledNotificationSchemes == false">
            <p><ww:text name="'admin.mailqueue.no.associated.notification.schemes'">
                    <ww:param name="'value0'"><span class="warning"></ww:param>
                	<ww:param name="'value1'"></span></ww:param>
            </ww:text>
            </p>
        </ww:if>
    
    </page:param>
	<ww:if test="/page == 'errorqueue'">
		<p>
			<ww:text name="'admin.mailqueue.number.of.items'">
			    <ww:param name="'value0'"><b><ww:property value="mailQueue/errorSize" /></b></ww:param>
			</ww:text>
		</p>
		<p>
        <ul class="square">
            <li><ww:text name="'admin.mailqueue.resend.error.queue'">
			    <ww:param name="'value0'"><a href="<ww:url page="MailQueueAdmin.jspa"><ww:param name="'resend'" value="'true'"/><ww:param name="'page'" value="page"/></ww:url>"></ww:param>
			    <ww:param name="'value1'"></a></ww:param>
			</ww:text></li>
            <li><ww:text name="'admin.mailqueue.delete.error.queue'">
			    <ww:param name="'value0'"><a href="<ww:url page="MailQueueAdmin.jspa"><ww:param name="'delete'" value="'true'"/><ww:param name="'page'" value="page"/></ww:url>"></ww:param>
			    <ww:param name="'value1'"></a></ww:param>
			</ww:text></li>
        </ul>
		</p>
    </ww:if>
    <ww:else>
		<p>
			<ww:text name="'admin.mailqueue.number.of.items'">
			    <ww:param name="'value0'"><b><ww:property value="mailQueue/size" /></b></ww:param>
			</ww:text>
		</p>
        <ww:if test="mailQueue/sending == true">
        <p><ww:text name="'admin.mailqueue.currently.sending'">
            <ww:param name="'value0'"><font color="green"><b></ww:param>
            <ww:param name="'value1'"></b></font></ww:param>
        </ww:text></p>
        <ul class="square">
            <li><ww:text name="'admin.mailqueue.bypass.currently.sending.mail'">
                <ww:param name="'value0'"><a href="<ww:url page="MailQueueAdmin.jspa"><ww:param name="'unstick'" value="'true'"/></ww:url>"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text></li>
        </ul>
        </ww:if>
        <ul class="square">
            <li><ww:text name="'admin.mailqueue.flush.mail.queue'">
                <ww:param name="'value0'"><a href="<ww:url page="MailQueueAdmin.jspa"><ww:param name="'flush'" value="'true'"/></ww:url>"><b></ww:param>
                <ww:param name="'value1'"></b></a></ww:param>
            </ww:text></li>
        </ul>
    </ww:else>
</page:applyDecorator>

<p>

<table cellpadding="2" cellspacing="0" border="0" width="100%" align="center">
<tr>
	<ww:if test="/page == 'errorqueue'">
		<td width="1%" nowrap align="center">
			&nbsp;<b><a href="<ww:url page="MailQueueAdmin.jspa"/>"><ww:text name="'admin.mailqueue.mail.queue.size'">
			    <ww:param name="'value0'"><ww:property value="mailQueue/size" /></ww:param>
			</ww:text></a></b>&nbsp;
		</td>
	</ww:if>
	<ww:else>
		<td bgcolor="#bbbbbb" width="1%" nowrap align="center">
			&nbsp;<font color="#ffffff"><b><ww:text name="'admin.mailqueue.mail.queue.size'">
			    <ww:param name="'value0'"><ww:property value="mailQueue/size" /></ww:param>
			</ww:text></b></font>&nbsp;
		</td>
	</ww:else>

	<ww:if test="/page == 'errorqueue'">
		<td bgcolor="#bbbbbb" width="1%" nowrap align="center">
			&nbsp;<font color="#ffffff"><b><ww:text name="'admin.mailqueue.error.queue.size'">
			    <ww:param name="'value0'"><ww:property value="mailQueue/errorSize" /></ww:param>
			</ww:text></b></font>&nbsp;
		</td>
	</ww:if>
	<ww:else>
		<td width="1%" nowrap align="center">
			&nbsp;<b><a href="<ww:url page="MailQueueAdmin.jspa"><ww:param name="'page'" value="'errorqueue'"/></ww:url>"><ww:text name="'admin.mailqueue.error.queue.size'">
			    <ww:param name="'value0'"><ww:property value="mailQueue/errorSize" /></ww:param>
			</ww:text></a></b>&nbsp;
		</td>
	</ww:else>

	<td>&nbsp;</td>
</tr>
</table>

<table cellpadding="0" cellspacing="1" border="0" width="100%" bgcolor="#bbbbbb" align="center"><tr><td>
<table cellpadding="2" cellspacing="0" border="0" width="100%">
        <tr bgcolor="#f0f0f0">
            <td class="colHeaderLink" width="80%">
                <b><ww:text name="'admin.mailqueue.subject'"/></b>
            </td>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'admin.mailqueue.queued'"/></b>
            </td>
        </tr>

        <ww:if test="mailQueue/sending == true">
            <tr bgcolor="#<ww:if test="hasError == true">ffcccc</ww:if><ww:elseIf test="/mailSendingDisabled == true">ffdddd</ww:elseIf><ww:else>fffff0</ww:else>">
                <td>
                    <img src="<%= request.getContextPath() %>/images/icons/mail_small.gif" border="0" alt="<ww:text name="'admin.mailqueue.sending'"/>" title="<ww:text name="'admin.mailqueue.sending'"/>">
                    <ww:property value="/mailQueue/itemBeingSent/subject"/>
                </td>
                <td valign="top">
                    <ww:property value="/prettySendingStartTime"/>
                </td>
            </tr>
        </ww:if>
        <ww:iterator value="queuedItems" status="'status'">
            <tr bgcolor="#<ww:if test="hasError == true">ffcccc</ww:if><ww:elseIf test="/mailSendingDisabled == true">ffdddd</ww:elseIf><ww:elseIf test="@status/modulus(2) == 1">ffffff</ww:elseIf><ww:else>fffff0</ww:else>">
                <td valign="top">
                    <ww:property value="subject" />
                </td>
                <td valign="top">
                    <ww:property value="/outlookDate/formatDMYHMS(dateQueued)" />
                </td>
            </tr>
        </ww:iterator>
        <ww:if test="queuedItems/size == 0 && mailQueue/sending == false">
            <tr bgcolor="#ffffff"><td colspan="2">
                <ww:text name="'admin.mailqueue.no.queued.mail.items'"/>
            </td></tr>
        </ww:if>

    </table>
</td></tr></table>
</body>
</html>
