<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.deletegroup.title'">
	    <ww:param name="'value0'"><ww:property value="name" /></ww:param>
	</ww:text></title>
</head>

<body>
        <page:applyDecorator name="jiraform">
            <page:param name="description">
                <p>
                <ww:text name="'admin.deletegroup.users.must.be.removed.first'"/>
                </p>
                <p>
                <ww:text name="'admin.deletegroup.will.not.delete.users'"/>
                </p>
                <ww:if test="hasSubscriptions == true">
                <tr>
                    <td class="jiraformheader">
                    <div class="errorArea">
                        <h4><ww:text name="'admin.deletegroup.subscriptions.header'"/></h4>
                        <ul>
                        <ww:iterator value="subscriptions">
                        <li><ww:property /></li>
                        </ww:iterator>
                        </ul>
                    </div>
                    <ww:text name="'admin.deletegroup.subscriptions.footer'"/>
                    </td>
                </tr>
                </ww:if>
           </page:param>

            <page:param name="title"><ww:text name="'admin.deletegroup.title'">
                <ww:param name="'value0'"><ww:property value="name" /></ww:param>
            </ww:text></page:param>
            <page:param name="width">100%</page:param>
            <page:param name="action">DeleteGroup.jspa</page:param>
            <page:param name="cancelURI">GroupBrowser.jspa</page:param>



            <!-- Only add delete controls if user is allowed to delete the selected group -->
            <ww:if test="/hasAnyErrors() == false">
                <page:param name="submitId">delete_submit</page:param>
                <page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
                <page:param name="autoSelectFirst">false</page:param>

                <ww:if test="matchingCommentsAndWorklogsCount > 0">
                <tr>
                    <td bgcolor=#ffffff>&nbsp;</td>
                    <td bgcolor=#ffffff>
                        <ww:text name="'admin.deletegroup.invisible.comments'">
                            <ww:param name="'value0'"><p></ww:param>
                        </ww:text>
                        <p>
                        <ww:text name="'admin.deletegroup.move.comments.to.be.seen.by'"/>
                        <select name="swapGroup">
                            <ww:iterator value="otherGroups">
                            <option value="<ww:property value="." />" selected>
                                <ww:property value="." />
                            </option>
                            </ww:iterator>
                        </select>
                    </td>
                </tr>
                </ww:if>

                <ui:component name="'name'" template="hidden.jsp"  theme="'single'" />
                <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />
            </ww:if>

          </page:applyDecorator>
</body>
</html>
