<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.view.user.projectroles.title'" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.view.user.projectroles.title'" />: <ww:property value="/projectRoleEditUser/fullName"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">users</page:param>
    <page:param name="helpURLFragment">#Assigning+a+User+to+a+Project+Role</page:param>
    <page:param name="description">
        <ww:text name="'admin.view.user.projectroles.description.1'">
           <ww:param name="'value0'"><b></ww:param>
           <ww:param name="'value1'"><ww:property value="/projectRoleEditUser/fullName"/></ww:param>
           <ww:param name="'value2'"></b></ww:param>
        </ww:text>
        <p/>
        <span id="username" class="hidden"><ww:property value="/projectRoleEditUser/name"/></span>
        <img src="<%= request.getContextPath() %>/images/icons/emoticons/user_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.direct.member'"/>"/> -
        <ww:text name="'admin.view.user.projectroles.description.2'"/><br/>
        <img src="<%= request.getContextPath() %>/images/icons/emoticons/user_bw_16.gif" alt="Off" title="<ww:text name="'admin.view.user.projectroles.user.not.member'"/>"/> -
        <ww:text name="'admin.view.user.projectroles.description.3'"/><br/>
        <img src="<%= request.getContextPath() %>/images/icons/emoticons/group_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.group.member'"/>"/> -
        <ww:text name="'admin.view.user.projectroles.description.4'"/><br/>
        <img src="<%= request.getContextPath() %>/images/icons/emoticons/user_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.direct.and.group.member'"/>"/>
        <img src="<%= request.getContextPath() %>/images/icons/emoticons/group_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.direct.and.group.member'"/>"/> -
        <ww:text name="'admin.view.user.projectroles.description.5'"/>
        <p/>
        <ul class="square">
            <li>
                <a href="<ww:url page="EditUserProjectRoles!default.jspa"><ww:param name="'name'" value="name" /></ww:url>"><ww:text name="'admin.viewuser.edit.project.roles'"/></a>
            </li>
        </ul>
    </page:param>
</page:applyDecorator>

<table class="defaultWidth centered">
    <tr>
        <td align="center">
            <a id="return_link" href="<ww:url value="returnUrl"><ww:param name="'name'" value="name"/></ww:url>">&lt;&lt; <ww:text name="'admin.editusergroups.return.to.viewing.user'">
                <ww:param name="'value0'">'<ww:property value="/projectRoleEditUser/fullName" />'</ww:param>
            </ww:text></a>
            <p/>&nbsp;
        </td>
    </tr>
</table>

<ww:if test="/visibleProjectsByCategory/size != 0">
<table id="projecttable" class="defaultWidth centered" style="border-collapse:collapse;">
    <!-- This is a row for the category which is kinda like a header-->
    <tr class="formtitle grid">
        <th style="font-size:13px; width:25%;"><ww:text name="'common.words.project'"/></th>
        <ww:iterator value="allProjectRoles">
            <th style="font-size:13px;width:<ww:property value="/projectRoleColumnWidth"/>%;"><ww:property
                    value="./name"/>
            </th>
        </ww:iterator>
    </tr>

<ww:iterator value="/visibleProjectsByCategory">

    <tr style="border:none;"><td colspan="<ww:property value="allProjectRoles/size + 1"/>">&nbsp;</td></tr>
        <tr class="grid">
            <th style="font-size:13px; width:25%;"><ww:if test="key != null"><ww:text name="'admin.view.user.projectroles.project.category'"/> : <ww:property
                    value="key/string('name')"/></ww:if>
                <ww:else><ww:text name="'admin.view.user.projectroles.project.category.uncategorised'"/></ww:else>
            </th>
            <ww:iterator value="allProjectRoles">
                <th style="font-size:13px;width:<ww:property value="/projectRoleColumnWidth"/>%;"/>
            </ww:iterator>
        </tr>

        <ww:iterator value="value">
            <tr name="project" class="grid">
                <td nowrap="true">&nbsp;&nbsp;<ww:property value="./name"/>
                </td>
                <ww:iterator value="allProjectRoles">
                    <td>
                        <ww:if test="/roleForProjectSelected(., ..) == true && /userInProjectRoleOtherType(., ..) != null"><img src="<%= request.getContextPath() %>/images/icons/emoticons/user_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.direct.and.group.member'"/>"/><img src="<%= request.getContextPath() %>/images/icons/emoticons/group_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.direct.and.group.member'"/>"/></ww:if>
                        <ww:elseIf test="/roleForProjectSelected(., ..) == true"><img src="<%= request.getContextPath() %>/images/icons/emoticons/user_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.direct.member'"/>"/></ww:elseIf>
                        <ww:elseIf test="/userInProjectRoleOtherType(., ..) != null"><img src="<%= request.getContextPath() %>/images/icons/emoticons/group_16.gif" alt="On" title="<ww:text name="'admin.view.user.projectroles.user.group.member'"/>"/></ww:elseIf>
                        <ww:else><img src="<%= request.getContextPath() %>/images/icons/emoticons/user_bw_16.gif" alt="Off" title="<ww:text name="'admin.view.user.projectroles.user.not.member'"/>"/></ww:else>
                        <ww:if test="/userInProjectRoleOtherType(., ..) != null">
                            <span title="<ww:text name="'admin.view.user.projectroles.group.association'"/>: <ww:property
                                    value="/userInProjectRoleOtherType(., ..)"/>" style="color:dimgray;">(<ww:property
                                    value="/userInProjectRoleOtherType(., ..)"/>)</span>
                        </ww:if>
                    </td>
                </ww:iterator>
            </tr>
        </ww:iterator>    
</ww:iterator>
</table>
<p/>
</ww:if>
<ww:else>
    <table class="defaultWidth centered">
        <tr>
            <td>
                <p/>
                <span>
                    <ww:text name="'admin.view.user.projectroles.noprojects.found'"/>
                </span>
            </td>
        </tr>
        </table>
</ww:else>

</body>
</html>
