<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'admin.externalimport.bugzilla.select.projects'"/></title>
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="width">100%</page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.bugzilla.import.log'"/></page:param>

    <ww:if test="/issueKeysWithTruncatedSummaries/empty == false">
        <tr>
            <td bgcolor="#ffffff" colspan="2" class="errLabel">
                <strong><ww:text name="'admin.externalimport.bugzilla.trunc.summaries.exist'"/></strong> <ww:text name="'admin.externalimport.bugzilla.trunc.summaries.count'"/>:
                <strong><ww:property value="/issueKeysWithTruncatedSummaries/size" /></strong>
            </td>
        </tr>
    </ww:if>
    
    <ui:textarea label="text('admin.externalimport.log')" name="'importLog'" cols="100" rows="20" >
        <ui:param name="'description'"><ww:text name="'admin.externalimport.log.of.events'"/></ui:param>
        <ui:param name="'readonly'" value="true"/>
    </ui:textarea>

    <ww:if test="/issueKeysWithTruncatedSummaries/empty == false">
        <ww:if test="/issueKeysWithTruncatedSummaries/size > /shortListMaxCount">
            <tr>
                <td class="fieldLabelArea"><ww:text name="'admin.externalimport.bugzilla.trunc.issues.list'">
                    <ww:param name="'value0'" value="/summaryMaxLength" />
                </ww:text>:</td>
                <td class="fieldValueArea">
                    <script language="JavaScript" type="text/javascript">
                        function showAllIssues(visible)
                        {
                            var shortDiv = document.getElementById("short_trunc_sum");
                            shortDiv.style.display = visible ? "none" : "";
                            var longDiv = document.getElementById("long_trunc_sum");
                            longDiv.style.display = visible ? "" : "none";
                        }
                    </script>
                    <div id="short_trunc_sum">
                        <ww:iterator value="/firstIssueKeysWithTruncatedSummaries" status="'status'">
                            <a href="<%= request.getContextPath() %>/browse/<ww:property value="." />"><ww:property value="." /></a><ww:if test="@status/last == false">,</ww:if>
                        </ww:iterator>
                        <span style="cursor:pointer;" class="smallgrey" onclick="showAllIssues(true)">[<ww:text name="'common.concepts.more'" />]</span>
                    </div>
                    <div id="long_trunc_sum" style="display:none;">
                        <ww:iterator value="/issueKeysWithTruncatedSummaries" status="'status'">
                            <a href="<%= request.getContextPath() %>/browse/<ww:property value="." />"><ww:property value="." /></a><ww:if test="@status/last == false">,</ww:if>
                        </ww:iterator>
                        <span style="cursor:pointer;" class="smallgrey" onclick="showAllIssues(false)">[<ww:text name="'common.concepts.hide'" />]</span>
                    </div>
                </td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td class="fieldLabelArea"><ww:text name="'admin.externalimport.bugzilla.trunc.issues.list'"/>:</td>
                <td class="fieldValueArea"><ww:iterator value="/issueKeysWithTruncatedSummaries" status="'status'">
                        <a href="<%= request.getContextPath() %>/browse/<ww:property value="." />"><ww:property value="." /></a><ww:if test="@status/last == false">,</ww:if>
                    </ww:iterator>
                </td>
            </tr>
        </ww:else>
    </ww:if>
</page:applyDecorator>

</body>
</html>
