<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.integritychecker.integrity.checker'"/></title>
</head>
<body>
<script language="JavaScript">
    function changeAll(checkbox)
    {
        checkStartingWith("<ww:property value="/integrityCheckPrefix"/>", checkbox.checked);
    }

    function changeIntegrity(checkbox)
    {
        checkStartingWith("<ww:property value="/checkPrefix"/>" + checkbox.name.split("_")[1], checkbox.checked);
    }

    function checkStartingWith(prefix, checked)
    {
        var elements = document.forms['jiraform'].elements;
        for (var i=0;i<elements.length;i++)
        {
            if (elements[i].name.indexOf(prefix) == 0)
            {
                elements[i].checked = checked;
            }
        }
    }
</script>
<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.integritychecker.integrity.checker'"/></page:param>
    <page:param name="action">IntegrityChecker.jspa</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="columns">3</page:param>
    <page:param name="buttons">
        <input type="submit" name="check" value="<ww:text name="'admin.common.words.check'"/>">
    </page:param>

    <page:param name="description">
        <ww:text name="'admin.integritychecker.select.one.or.more.integrity.checks'"/>
    </page:param>

    <tr bgcolor=#f0f0f0>
        <td class="colHeaderLink" width="1%" nowrap>
            <input type="checkbox" name="all" onClick="changeAll(this)">&nbsp;&nbsp;
        </td>
        <td class="colHeaderLink" colspan="2" width="99%">
            <b><ww:text name="'admin.integritychecker.select.all.checks'"/></b>
        </td>
    </tr>

    <ww:iterator value="integrityChecks" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td width="1%">
                <ww:if test="./available == true">
                    <input type="checkbox" name="integrity_<ww:property value="./id"/>" value="<ww:property value="./id"/>" onClick="changeIntegrity(this)">&nbsp;&nbsp;
                </ww:if>
                <ww:else>
                    &nbsp;
                </ww:else>
            </td>
            <td valign="top" colspan="2" width="100%">
                <ww:property value="./description" />
            </td>
        </tr>
        <ww:iterator value="./checks">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign="top" width="1%">&nbsp;</td>
                <td width="1%" valign="top" align="right">
                    <%-- Ensure that if the check box --%>
                    <ww:if test="available == true">
                        <ww:component name="/checkId(.)" value="/checked(.)" label="''" template="checkbox.jsp" theme="'single'" >
                            <ww:param name="'fieldValue'" value="./id" />
                        </ww:component>
                    </ww:if>
                    <ww:else>
                        &nbsp;
                    </ww:else>
                </td>
                <td valign="top" width="99%">
                    <table border="0" cellspacing="0" cellpadding="0" width="100%">
                        <tr>
                            <td colspan="2">
                                <%-- Check if the action is available--%>
                                <ww:if test="available == true">
                                    <ww:property value="./description"/>                                                                        
                                </ww:if>
                                <ww:else>
                                    <font color="#999999"><ww:property value="./description"/> - <ww:property value="unavailableMessage"/></font>
                                </ww:else>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </ww:iterator>
    </ww:iterator>
</page:applyDecorator>
</body>
</html>
