<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.issuesecurity.delete.level'"/>:</title>
</head>

<body>
    <page:applyDecorator name="jiraform">
        <page:param name="title"><ww:text name="'admin.schemes.issuesecurity.delete.level'"/>: <ww:property value="issueSecurityName" /></page:param>
        <page:param name="description">
            <p><ww:text name="'admin.schemes.issuesecurity.delete.level.confirmation'"/></p>
            <ww:if test="affectedIssues/size > 0">
                <ww:text name="'admin.schemes.issuesecurity.delete.issues.currently.set'"/>
            </ww:if>

            <ww:if test="default(levelId)== true">
                <p><font color=#cc0000><ww:text name="'admin.schemes.issuesecurity.delete.level.warning'"/> </font> <p>
            </ww:if>
        </page:param>

        <page:param name="action">DeleteIssueSecurityLevel.jspa</page:param>
        <page:param name="submitId">delete_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI"><ww:url page="EditIssueSecurities!default.jspa"><ww:param name="'schemeId'" value="schemeId"/></ww:url></page:param>
        <ww:if test="affectedIssues/size > 0">
            <ui:component label="text('admin.schemes.issuesecurity.delete.level.issues.with.this.level')" name="'affectedIssues/size'" template="textlabel.jsp" >
                <ui:param name="'description'">

                    <ww:iterator value="affectedIssues" >
                        <a href="<%= request.getContextPath() %>/browse/<ww:property value="string('key')" />"><ww:property value="string('key')" /></a>
                        <ww:property value="string('summary')" /> <br>
                    </ww:iterator>

                </ui:param>
            </ui:component>
            <ww:if test="otherLevels/size > 0">
                <tr>
                    <td bgcolor=#ffffff>&nbsp;</td>
                    <td bgcolor=#ffffff>
                        <input type="radio" name="affectsAction" value="swap" checked>
                        <ww:text name="'admin.schemes.issuesecurity.delete.level.swap.to'"/>:
                        <ww:property value="otherLevels">
                            <select name="swapLevel">
                                <option value=-1><ww:text name="'common.words.none'"/></option>
                                <ww:iterator value="./keySet">
                                    <option value="<ww:property value="." />" >
                                        <ww:property value="../(.)" />
                                    </option>
                                </ww:iterator>
                            </select>
                         </ww:property>
                    </td>
                </tr>
            </ww:if>
            <ww:else>
                <tr>
                    <td bgcolor=#ffffff>&nbsp;</td>
                    <td bgcolor=#ffffff>
                        <input type="hidden" name="affectsAction" value="remove">
                        <ww:text name="'admin.schemes.issuesecurity.delete.level.no.other.levels'"/>
                    </td>
                </tr>
            </ww:else>
        </ww:if>

        <input type="hidden" name="schemeId" value="<ww:property value="schemeId" />">
        <input type="hidden" name="levelId" value="<ww:property value="levelId" />">
        <input type="hidden" name="confirm" value="true">

    </page:applyDecorator>
</body>
</html>
