<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.issuesecurity.edit.issue.security.levels'"/></title>
</head>

<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.schemes.issuesecurity.edit.issue.security.levels'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">security_levels</page:param>
        <p>
        <ww:text name="'admin.schemes.issuesecurity.on.this.page'">
            <ww:param name="'value0'"><ww:property value="scheme/string('name')"/></ww:param>
        </ww:text>
        </p>
        <ww:text name="'admin.schemes.issuesecurity.each.security.level'"/>
        <p>
        <ww:text name="'admin.schemes.issuesecurity.issue.can.be.assigned.security.level'"/>
        </p>
        <p>
        <ww:text name="'admin.schemes.issuesecurity.be.sure.to.set.issue.security'"/>
        </p>
        <p>
        <ul class="square">
            <li><ww:text name="'admin.schemes.issuesecurity.view.all.issue.security.schemes'">
                <ww:param name="'value0'"><b><a href="ViewIssueSecuritySchemes.jspa"></ww:param>
                <ww:param name="'value1'"></a></b></ww:param>
            </ww:text></li>
            <ww:if test="/scheme/long('defaultlevel') != null">
                <li><a href="<ww:url page="EditIssueSecurities!makeDefaultLevel.jspa"><ww:param name="'schemeId'" value="scheme/long('id')"/><ww:param name="'levelId'" value="'-1'"/></ww:url>"><ww:text name="'admin.schemes.issuesecurity.change.default.security.to.none'"/></a></li>
            </ww:if>
        </ul>
        </p>
    </page:applyDecorator>

    <p>

        <table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%"><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%">
            <tr bgcolor="#f0f0f0">
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.schemes.issuesecurity.security.level'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.common.words.users.groups.roles'"/></b>
                </td>
                <td class="colHeaderLink" width="10%">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>

            <ww:iterator value="schemeIssueSecurities/keySet" status="'status'">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign="top"><b><ww:property value="schemeIssueSecurities/(.)"/></b><ww:if test="../default(.) == true"> (<ww:text name="'admin.common.words.default'"/>)</ww:if>
                <br>
                <font size="1"><ww:property value="issueSecurityDescription(.)" /></font>
                </td>
                <td valign="top">
                <ww:iterator value="securities(.)">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    <ww:property value="../../type(string('type'))/displayName" />
                    <ww:if test="string('parameter')!= null">
                        (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                    </ww:if>
                    <ww:elseIf test="string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                    </ww:elseIf>
                    <ww:else>
                        (<ww:text name="'admin.common.words.anyone'"/>)
                    </ww:else>
                    <font size="1">
                       (<a id="delGroup_<ww:property value="string('parameter')"/>_<ww:property value="schemeIssueSecurities/(..)"/>" href="<ww:url page="DeleteIssueSecurity!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"title="<ww:text name="'admin.schemes.issuesecurity.delete.this.user.group'"/>"><ww:text name="'common.words.delete'"/></a>)
                    </font>
                    <br>
                </ww:iterator>
                </td>
                <td nowrap valign="top">
                    <a id="add_<ww:property value="schemeIssueSecurities/(.)"/>" href="<ww:url page="AddIssueSecurity!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'security'" value="."/></ww:url>"title="<ww:text name="'admin.schemes.issuesecurity.add.a.user.group'"/>"><ww:text name="'common.forms.add'"/></a>
                    <ww:if test="../default(.) != true">
                    |
                    <a id="default_<ww:property value="schemeIssueSecurities/(.)"/>" href="<ww:url page="EditIssueSecurities!makeDefaultLevel.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'levelId'" value="."/></ww:url>"title="<ww:text name="'admin.schemes.issuesecurity.make.default'"/>"><ww:text name="'admin.common.words.default'"/></a>
                    </ww:if>
                    |
                     <a id="delLevel_<ww:property value="schemeIssueSecurities/(.)"/>" href="<ww:url page="DeleteIssueSecurityLevel!default.jspa">
                    <ww:param name="'levelId'" value="."/><ww:param name="'schemeId'" value="scheme/long('id')"/></ww:url>"title="<ww:text name="'admin.schemes.issuesecurity.delete.security.level'"/>"><ww:text name="'common.words.delete'"/></a>
                </td>


            </tr>
            </ww:iterator>
        </table>
        </td></tr></table>

    <p><br><br>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditIssueSecurities!addLevel.jspa</page:param>
        <page:param name="submitId">level_submit</page:param>
        <page:param name="submitName"><ww:text name="'admin.schemes.issuesecurity.add.security.level'"/></page:param>
        <page:param name="title"><ww:text name="'admin.schemes.issuesecurity.add.security.level'"/></page:param>
        <page:param name="width">90%</page:param>
        <page:param name="description"><ww:text name="'admin.schemes.issuesecurity.add.security.level.instruction'"/></page:param>
        <page:param name="helpURL">security_levels</page:param>
        <page:param name="helpURLFragment">#Creating+a+Security+Level</page:param>
        <ui:textfield label="text('common.words.name')" name="'name'" size="'30'"/>
        <ui:textfield label="text('common.words.description')" name="'description'" size="'60'"/>
        <ui:component name="'schemeId'" template="hidden.jsp"/>
    </page:applyDecorator>
    </p>
    </body>
</html>
