<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.schemes.notifications.edit.notifications'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.schemes.notifications.edit.notifications'"/> &mdash; <ww:property value="scheme/string('name')"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">notification_schemes</page:param>
    <p>
    <ww:text name="'admin.schemes.notifications.edit.notifications.description'">
        <ww:param name="'value0'"><ww:property value="scheme/string('name')"/></ww:param>
    </ww:text>
    </p>

    <ul class="square">
        <li><ww:text name="'admin.schemes.notifications.add.notification'">
            <ww:param name="'value0'"><a href="<ww:url page="AddNotification!default.jspa"><ww:param name="'schemeId'" value="scheme/string('id')"/></ww:url>"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text></li>
        <li><ww:text name="'admin.schemes.notifications.view.all.notification.schemes'">
            <ww:param name="'value0'"><a href="ViewNotificationSchemes.jspa"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text></li>
    </ul>

    <ww:if test="/schemeManager/hasMailServer == false">
        <p><span class="warning"><ww:text name="'admin.common.words.warning'"/></span>:
            <ww:if test="/systemAdministrator == true">
                <ww:text name="'admin.mailqueue.no.default.mail.server'">
                    <ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/admin/ViewMailServers.jspa"></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.mailqueue.no.default.mail.server.admin'">
                    <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                    <%--<ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                    <%--<ww:param name="'value1'"></a></ww:param>--%>
                    <ww:param name="'value0'"> </ww:param>
                    <ww:param name="'value1'"> </ww:param>
                </ww:text>
            </ww:else>
           </p>
    </ww:if>

</page:applyDecorator>
<p>
    <table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%">
    <tr>
    <td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%" id="notificationSchemeTable">
        <tr bgcolor="#f0f0f0">
            <td class="colHeaderLink"><b><ww:text name="'admin.schemes.notifications.event'"/></b></td>
            <td class="colHeaderLink"><b><ww:text name="'admin.schemes.notifications.notifications'"/></b></td>
            <td class="colHeaderLink" width="10%"><b><ww:text name="'common.words.operations'"/></b></td>
        </tr>

        <ww:iterator value="events/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <!-- Event Type Name -->
            <ww:property value="events/(.)">
            <td valign="top"><b><ww:property value="./translatedName(/remoteUser)"/></b>
                <ww:if test="./systemEventType == true">
                    <span class="smallgrey">(<ww:text name="'admin.schemes.notifications.system.event.type'" />)</span>
                </ww:if>
            </td>
            </ww:property>
            <!-- Notifications -->
            <td valign="top">
                <ul class="square_blue">
                    <ww:iterator value="notifications(.)">
                        <li>
                            <span title="<ww:text name="'admin.schemes.notifications.notification'" />">
                                <ww:property value="../../type(string('type'))/displayName" />
                                <ww:if test="string('parameter')">(<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)</ww:if>
                            </span>
                            <span class="small">(<a id="del_<ww:property value="long('id')" />" title="<ww:text name="'admin.schemes.notifications.delete.notification'" />" href="<ww:url page="DeleteNotification!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)</span>
                        </li>
                    </ww:iterator>
                </ul>
            </td>
            <!-- Operations -->
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" style="vertical-align: middle;" alt=""/>
                <a id="add_<ww:property value="." />" href="<ww:url page="AddNotification!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'eventTypeIds'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
    </table>
    </td>
    </tr>
    </table>
</p>
</body>
</html>
