<%@ page import="com.opensymphony.util.TextUtils" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.exception.IssuePermissionException" %>
<%@ page import="com.atlassian.jira.exception.IssueNotFoundException" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib prefix="webwork" uri="webwork" %>
<% ComponentManager.getInstance().getWebResourceManager().requireResource("jira.webresources:jira-global"); %>
<html>
<head>
    <title><ww:text name="'attachscreenshot.title'"/></title>
    <meta name="decorator" content="popup">
</head>
<body>
    <h3><ww:text name="'attachscreenshot.title'"/></h3>
    <%-- JRADEV-3213 see if an issue exists --%>
    <ww:if test="/issueExists==true">
        <p>
            <ww:text name="'attachscreenshot.description.line1'"/><br>
            <ww:text name="'attachscreenshot.description.line2'"/>
        </p>
        <p>

        <PARAM NAME = ARCHIVE VALUE = "<%= request.getContextPath() %>/secure/applet/screenshot.jar"/>

            <ul id="applet-params" style="display:none">
                <li id="user-agent"><%= TextUtils.htmlEncode(request.getHeader("User-Agent")) %></li>

                <ww:iterator value="/groupLevels" status="'paramStatus'">
                    <li id="comment-group-name-<ww:property value="@paramStatus/index"/>"><ww:text name="." /></li>
                </ww:iterator>

                <ww:iterator value="/roleLevels" status="'paramStatus'">
                <li id="comment-role-<ww:property value="@paramStatus/index"/>"><ww:text name="./name" /></li>
                </ww:iterator>

            </ul>

    <script type="text/javascript" src="<%= request.getContextPath() %>/includes/deployJava.js"></script>
    <script type="text/javascript">
        var version = '1.6';
        var attributes = {
            codebase:"<%= request.getContextPath() %>/secure/",
            code:"com.atlassian.jira.screenshot.applet.ScreenshotApplet.class",
            archive:"applet/screenshot.jar",
            width:710,
            height:540
        };
        var parameters = {
            scriptable:"false",
            post:"AttachScreenshot.jspa;jsessionid=<%= request.getSession().getId() %>?atl_token=<ww:property value="/xsrfToken"/>",
            issue:<ww:property value="id" />,
            screenshotname:"<ww:property value="nextScreenshotName"/>",
            after:"<ww:property value="afterUrl" />",
            encoding:"<ww:property value="/applicationProperties/encoding" />",
            useragent: jQuery("#user-agent").text(),
            <ww:iterator value="/groupLevels" status="'paramStatus'">
            'comment.group.name.<ww:property value="@paramStatus/index"/>': jQuery("#comment-group-name-<ww:property value="@paramStatus/index"/>").text().replace(/"/g, '&quot;'),
            </ww:iterator>
            <ww:iterator value="/roleLevels" status="'paramStatus'">
            'comment.role.<ww:property value="@paramStatus/index"/>':"<ww:text name="./id/toString()" />|" + jQuery("#comment-role-<ww:property value="@paramStatus/index"/>").text().replace(/"/g, '&quot;'),
            </ww:iterator>
            'paste.text':"<ww:property value="/encode(/text('attachfile.paste.label'))" />",
            'filename.text':"<ww:property value="/encode(/text('attachfile.filename.label'))" />",
            'errormsg.filename.text':"<ww:property value="/encode(/text('attachfile.applet.filename.error'))" />",
            'comment.text':"<ww:property value="/encode(/text('attachfile.comment.update.label'))" />",
            'attach.text':"<ww:property value="/encode(/text('attachfile.submitname'))" />",
            'cancel.text':"<ww:property value="/encode(/text('common.words.cancel'))" />",
            'badconfiguration.text':"<ww:property value="/encode(/text('attachfile.applet.configuration.error'))" />",
            'comment.level.text':"<ww:property value="/encode(/text('comment.update.viewableby.label'))" />",
            'allusers.text':"<ww:property value="/encode(/text('comment.constants.allusers'))" />",
            'projectroles.text':"<ww:property value="/encode(/text('common.words.project.roles'))" />",
            'groups.text':"<ww:property value="/encode(/text('common.words.groups'))" />",
            'security.text':"<ww:property value="/encode(/text('attachfile.applet.security.problem'))" />"
        };

        deployJava.runApplet(attributes, parameters, version);
    </script>
        <input type="submit" accesskey="<ww:text name="'common.forms.cancel.accesskey'" />" onclick="window.close();" class="hiddenButton" name="randombutton" />
    </p>
</ww:if>
<ww:else>
    <page:applyDecorator name="error">
        <page:applyDecorator name="auierrorpanel">
            <page:param name="title"><ww:text name="'generic.notloggedin.title'"/></page:param>
            <div class="aui-message warning">
                <p>
                    <span class="svg-icon warning size-18"></span>
                    <ww:text name="'admin.errors.issues.current.issue.null'"/>
                </p>
            </div>
        </page:applyDecorator>
    </page:applyDecorator>
</ww:else>
</body>
</html>
