<%@ page import="com.atlassian.jira.util.JiraUtils" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
<head>
    <title><ww:text name="'common.concepts.projects'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'common.concepts.projects'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">project_management</page:param>

    <p>
        <ww:text name="'admin.projects.caption'">
                <ww:param name="'value0'"><ww:if test="projects/empty == false"><ww:property value="projects/size" /></ww:if> <%-- note that extra space here is needed for 0 value--%></ww:param>
        </ww:text>
    </p>
    <ww:if test="admin == true">
    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle alt=""/>
	    <b><a id="add_project" href="<%= request.getContextPath() %>/secure/admin/AddProject!default.jspa"><ww:text name="'admin.projects.add.project'"/></a></b>
    </p>
    </ww:if>
</page:applyDecorator>
<p>
<table class="grid maxWidth">
<tr>
    <th><ww:text name="'common.words.name'"/></th>
    <th><ww:text name="'issue.field.key'"/></th>
    <th><ww:text name="'common.concepts.url'"/></th>
    <th><ww:text name="'common.concepts.projectlead'"/></th>
    <th><ww:text name="'admin.projects.default.assignee'"/></th>
    <th class="minWidth"><ww:text name="'common.words.operations'"/></th>
</tr>
<ww:iterator value="projects">
    <tr>
    <td>
        <ww:if test="./long('avatar') != null">
            <img alt="" class="project-avatar-16" height="16" src="<%= request.getContextPath() %>/secure/projectavatar?size=small&pid=<ww:property value="./long('id')"/>&avatarId=<ww:property value="./long('avatar')"/>" width="16" />
       </ww:if>
        <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:property value="string('name')" /></a>
    </td>
    <td>
        <ww:property value="string('key')" />
    </td>
    <td>
        <ww:if test="/stringSet(.,'url') == false">
            <ww:text name="'browse.projects.no.url'"/>
        </ww:if>
        <ww:else>
            <a href="<ww:property value="./string('url')" />"><ww:property value="./string('url')" /></a>
        </ww:else>
    </td>
    <td nowrap>
        <ww:if test="string('lead')">
            <jira:formatuser user="./string('lead')" type="'profileLink'" id="'view_' + ./string('key') + '_projects'"/>
        </ww:if>
        <ww:else>
           <ww:text name="'browse.projects.no.lead'"/>
        </ww:else>
    </td>
    <td nowrap>
        <ww:if test="/defaultAssigneeAssignable(.) == false"><span class="warning" title="WARNING: User not Assignable."></ww:if>
        <ww:text name="/prettyAssigneeType(long('assigneetype'))"/>
        <ww:if test="/defaultAssigneeAssignable(.) == false"></span></ww:if>
    </td>
    <td nowrap valign=middle align=middle>
        <a id="view-project-<ww:property value="long('id')" />" href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:text name="'common.words.view'"/></a>
        <ww:if test="/projectAdmin(.) == true || /admin == true">
            |
            <a href="<%= request.getContextPath() %>/secure/project/EditProject!default.jspa?pid=<ww:property value="long('id')" />&returnUrl=ViewProjects.jspa"><ww:text name="'common.words.edit'"/></a>
        </ww:if>
        <ww:if test = "/admin == true">
            |
            <a href="<%=request.getContextPath() %>/secure/project/DeleteProject!default.jspa?pid=<ww:property value="long('id')"/>&returnUrl=ViewProjects.jspa" id="delete_project_<ww:property value="long('id')"/>" ><ww:text name="'common.words.delete'"/></a>
        </ww:if>
    </td>
    </tr>
</ww:iterator>
<ww:if test="projects/size == 0">
    <tr>
        <td colspan="6">
            <p>
            <ww:text name="'admin.projects.nopermission'"/>
            </p>

            <ww:if test="remoteUser == null">
                <p>
                <ww:if test="/applicationProperties/option('jira.option.user.externalpasswordmanagement') == false">
                    <ww:if test="extUserManagement != true">
                        <% if (JiraUtils.isPublicMode()) { %>
                        <ww:text name="'admin.projects.login.or.signup'">
                            <ww:param name="'value0'"><jira:loginlink><ww:text name="'admin.common.words.log.in'"/></jira:loginlink></ww:param>
                            <ww:param name="'value1'"><a href="<%= request.getContextPath() %>/secure/Signup!default.jspa"></ww:param>
                            <ww:param name="'value2'"></a></ww:param>
                        </ww:text>
                        <% } %>
                    </ww:if>
                </ww:if>
                <ww:else>
                    <ww:text name="'admin.projects.login'">
                        <ww:param name="'value0'"><jira:loginlink><ww:text name="'admin.common.words.log.in'"/></jira:loginlink></ww:param>
                    </ww:text>
                </ww:else>
                </p>
            </ww:if>
        </td>
    </tr>
</ww:if>
</table>
</p>
</body>
</html>
