<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<ww:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<html>
<head>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
	<title><ww:text name="textKey('title')"/>: <ww:property value="issue/key" /></title>
</head>

<body>

<table width="100%" class="noPadding">
<tr>
    <%-- wizard steps pane --%>
    <td class="rowHeader" width="200" valign="top"><jsp:include page="/secure/views/issue/convertissuetosubtaskpane.jsp" flush="false" /></td>
    <%-- input pane --%>
    <td class="fieldValueArea rowClear" style="padding:10px;">
        <ww:if test="errorMessages/empty == true && targetWorkflow != null">
        <table width="100%" cellpadding="10" cellspacing="0" border="0"><tr><td>
        <page:applyDecorator name="jiraform">
           <page:param name="title">
                <ww:text name="textKey('title')"/>: <ww:property value="issue/key"/>
            </page:param>
            <page:param name="description">
                <ww:if test="enterprise == true">
                    <ww:text name="textKey('step4.desc.ent')">
                        <ww:param name="value0"><strong></ww:param>
                        <ww:param name="value1"></strong></ww:param>
                    </ww:text>
                </ww:if>
                <ww:else>
                    <ww:text name="textKey('step3.desc.pro')">
                        <ww:param name="value0"><strong></ww:param>
                        <ww:param name="value1"></strong></ww:param>
                    </ww:text>
                </ww:else>
            </page:param>
            <page:param name="columns">1</page:param>
            <page:param name="width">100%</page:param>
            <page:param name="action"><ww:property value="/actionPrefix" />Convert.jspa</page:param>
            <page:param name="autoSelectFirst">false</page:param>
            <page:param name="cancelURI"><%= request.getContextPath() %>/secure/<ww:property value="/actionPrefix" />!cancel.jspa?id=<ww:property value="issue/id"/></page:param>
            <page:param name="submitId">finish_submit</page:param>
            <page:param name="submitName"><ww:property value="text('common.forms.finish')"/></page:param>

        <tr><td colspan="2" bgcolor="#ffffff">
        <br/>
        <table class="centred" width="75%" align="center" style="border: 1px solid #bbbbbb; padding: 2px;">
            <tr>
                <td align="center">
                    <table id="convert_confirm_table" class="gridTabBox" cellpadding="3" cellspacing="1" align="center" width="100%">
                        <tr>
                            <td bgcolor="#dddddd" width="20%"><strong>&nbsp;</strong></td>
                            <td bgcolor="#dddddd" width="40%"><strong><ww:text name="textKey('originalvalue')"/></strong></td>
                            <td bgcolor="#dddddd" width="40%"><strong><ww:text name="textKey('newvalue')"/></strong></td>
                        </tr>

                        <%-- Breaking page into smaller parts - JRA-5059 --%>
                        <%-- this displays type, status and security level --%>
                        <jsp:include page="/secure/views/issue/convertissuetosubtask-confirm-part1.jsp" flush="false" />

                        <%-- Show all the fields that have changed for the move --%>
                        <ww:iterator value="convertFieldLayoutItems">
                            <tr>
                                <td bgcolor="#f0f0f0" width="20%" valign="top"><ww:property value="/fieldName(./orderableField)" /></td>
                                <td bgcolor="#ffffff" class="red-highlight" width="40%" valign="top"><ww:property value="oldViewHtml(./orderableField)" escape="'false'" /></td>
                                <td bgcolor="#ffffff" class="green-highlight" width="40%" valign="top"><ww:property value="newViewHtml(./orderableField)" escape="'false'" /></td>
                            </tr>
                        </ww:iterator>
                        <%-- Show all the fields that will be removed --%>
                        <ww:iterator value="removeFields">
                            <tr>
                                <td bgcolor="#f0f0f0" width="20%" valign="top"><ww:property value="/fieldName(.)" /></td>
                                <td bgcolor="#ffffff" class="red-highlight" width="40%" valign="top"><ww:property value="oldViewHtml(.)" escape="'false'" /></td>
                                <td bgcolor="#ffffff" class="green-highlight" width="40%" valign="top">&nbsp;</td>
                            </tr>
                        </ww:iterator>
                    </table>
                </td>
            </tr>
        </table>
        <ui:component name="'id'" template="hidden.jsp"  theme="'single'" />
        <ui:component name="'guid'" template="hidden.jsp"  theme="'single'" />

        </td></tr>
        </page:applyDecorator>
        </td></tr></table>
        </ww:if>

        <ww:else>
            <page:applyDecorator name="jiraform">

            </page:applyDecorator>
        </ww:else>
    </td>
</tr>
</table>

</body>
</html>
