<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>
<html>
<head>
    <ww:if test="/issueValid == true"><meta content="issueaction" name="decorator" /></ww:if>
    <ww:else><meta content="error" name="decorator" /></ww:else>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false"/>" />
    <title>
        <ww:if test="/issueValid == 'true'"><ww:text name="'editissue.title'"/>: <ww:property value="summary" /> [<ww:property value="issue/string('key')" />]</ww:if>
        <ww:else><ww:text name="'panel.errors'"/></ww:else>
    </title>
</head>
<body class="type-a">
<ww:if test="/issueValid == 'true' && editable == 'true'">
    <div class="content intform">
        <page:applyDecorator id="issue-edit" name="auiform">
            <page:param name="action"><ww:url value="'/secure/EditIssue.jspa'"/></page:param>
            <page:param name="submitButtonName">Update</page:param>
            <page:param name="submitButtonText"><ww:text name="'common.forms.update'" /></page:param>
            <page:param name="cancelLinkURI"><ww:url value="/issuePath" atltoken="false"/></page:param>
            <page:param name="isMultipart">true</page:param>

            <aui:component template="formHeading.jsp" theme="'aui'">
                <aui:param name="'text'"><ww:text name="'editissue.title'"/></aui:param>
            </aui:component>

            <ww:if test="/issueExists == true">

                <aui:component name="'id'" template="hidden.jsp"  theme="'aui'" />

                <ww:component template="issuefields.jsp" name="'createissue'">
                    <ww:param name="'displayParams'" value="/displayParams"/>
                    <ww:param name="'issue'" value="/issueObject"/>
                    <ww:param name="'tabs'" value="/fieldScreenRenderTabs"/>
                    <ww:param name="'errortabs'" value="/tabsWithErrors"/>
                    <ww:param name="'selectedtab'" value="/selectedTab"/>
                    <ww:param name="'ignorefields'" value="/ignoreFieldIds"/>
                    <ww:param name="'create'" value="'false'"/>
                </ww:component>

                <jsp:include page="/includes/panels/updateissue_comment.jsp" />

            </ww:if>
        </page:applyDecorator>
    </div>
</ww:if>
<ww:elseIf test="/issueValid == 'true'">
    <page:applyDecorator name="auierrorpanel">
        <page:param name="title"><ww:text name="'panel.errors'"/></page:param>
        <ww:include page="/includes/editissue-notloggedin.jsp">
            <ww:if test="hasEditIssuePermission(/issueObject) == 'true'">
                <ww:param name="'errormessage'" value="'editissue.error.no.edit.workflow'" />
            </ww:if>
            <ww:else>
                <ww:param name="'errormessage'" value="'editissue.error.no.edit.permission'" />
            </ww:else>
        </ww:include>
    </page:applyDecorator>
</ww:elseIf>
<ww:else>
    <page:applyDecorator name="auierrorpanel">
        <page:param name="title"><ww:text name="'panel.errors'"/></page:param>
        <p><ww:text name="'issue.wasdeleted'"/></p>
    </page:applyDecorator>
</ww:else>
</body>
</html>
